<template>
  <div id="judgment" class="background-secondary text-white py-16">
    <h1 class="text-center py-8 px-4">Critérios de Avaliação</h1>
    <div class="container mx-auto">
      <div class="px-2 w-full">
        <div class="flex flex-wrap">
          <div class="w-full md:w-1/2 py-8 px-4">
            <ul class="flex flex-wrap style-none">
              <li class="w-1/2 md:w-full">
                <button
                  class="w-full p-4 text-center md:text-left bg-white border-bottom rounded-t-none md:rounded-t rounded-tl transition"
                  :class="{
                    'background-primary text-white': selected === 0
                  }"
                  @click="selected = 0"
                >
                  Criatividade
                </button>
              </li>
              <li class="w-1/2 md:w-full">
                <button
                  class="w-full p-4 text-center md:text-left bg-white border-bottom rounded-tr md:rounded-none transition"
                  :class="{
                    'background-primary text-white': selected === 1
                  }"
                  @click="selected = 1"
                >
                  Design
                </button>
              </li>
              <li class="w-1/2 md:w-full">
                <button
                  class="w-full p-4 text-center md:text-left bg-white border-bottom rounded-bl md:rounded-none transition"
                  :class="{
                    'background-primary text-white': selected === 2
                  }"
                  @click="selected = 2"
                >
                  Impacto
                </button>
              </li>
              <li class="w-1/2 md:w-full">
                <button
                  class="w-full p-4 text-center md:text-left bg-white border-bottom rounded-b-none md:rounded-b rounded-br transition"
                  :class="{
                    'background-primary text-white': selected === 3
                  }"
                  @click="selected = 3"
                >
                  Funcionamento
                </button>
              </li>
            </ul>
          </div>
          <div
            class="w-full md:w-1/2 py-8 px-4 flex items-center"
            style="height: 16rem"
          >
            <ul
              class="w-full px-8 text-left red-list"
              :class="{ hidden: selected !== 0 }"
            >
              <li class="py-2">
                <span class="text-white">É uma solução original?</span>
              </li>
              <li class="py-2">
                <span class="text-white"
                  >Repensa, de forma diferente, algo que já existe?</span
                >
              </li>
            </ul>
            <ul
              class="w-full px-8 text-left red-list"
              :class="{ hidden: selected !== 1 }"
            >
              <li class="py-2">
                <span class="text-white"
                  >A solução possui uma boa interface?</span
                >
              </li>
              <li class="py-2">
                <span class="text-white"
                  >Tem uma boa experiência de usuário (UX)?</span
                >
              </li>
            </ul>
            <ul
              class="w-full px-8 text-left red-list"
              :class="{ hidden: selected !== 2 }"
            >
              <li class="py-2">
                <span class="text-white">A ideia é escalável?</span>
              </li>
              <li class="py-2">
                <span class="text-white">Pode ser aplicada mundo real?</span>
              </li>
            </ul>
            <ul
              class="w-full px-8 text-left red-list"
              :class="{ hidden: selected !== 3 }"
            >
              <li class="py-2">
                <span class="text-white"
                  >A aplicação pode ser usada num exemplo bem definido?</span
                >
              </li>
              <li class="py-2">
                <span class="text-white"
                  >Foi apresentado algum caso de uso?</span
                >
              </li>
            </ul>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data: function() {
    return {
      selected: 0
    };
  }
};
</script>

<style scoped>
.background-primary {
  background-color: config("colors.primary");
}

.transition {
  transition: 300ms cubic-bezier(0.215, 0.61, 0.355, 1);
}

.background-secondary {
  background-color: config("colors.secondary");
  box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.1);
}

.style-none {
  list-style: none;
  padding: 0;
}

button:focus {
  outline: 0;
}

.red-list {
  color: config("colors.primary");
}

button {
  box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.25);
  transition: 1ms cubic-bezier(0.175, 0.885, 0.32, 1.275);
}

.border-bottom {
  border-bottom: 1px solid rgba(0, 0, 0, 0.25);
  border-left: 1px solid rgba(0, 0, 0, 0.25);
  border-right: 1px solid rgba(0, 0, 0, 0.25);
}

li {
  font-size: 20px;
}

button {
  font-size: 14px;
}

@media (min-width: 768px) {
  input.tabs + label + div {
    bottom: auto;
    left: 50%;
  }
}
</style>
